Bug 112435 - navigator does not scroll when navigating to inactive document
Summary: navigator does not scroll when navigating to inactive document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All Linux (All)
: medium minor
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords:
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2017-09-16 23:25 UTC by Jim Raykowski
Modified: 2017-11-10 13:44 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
navigator test document 1 (177.84 KB, application/vnd.oasis.opendocument.text)
2017-09-30 07:36 UTC, Jim Raykowski
Details
navigator test document 2 (15.68 KB, application/vnd.oasis.opendocument.text)
2017-09-30 07:38 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2017-09-16 23:25:24 UTC

    
Comment 1 Jim Raykowski 2017-09-17 00:08:28 UTC
Double clicking on an entry in the Navigator content tree when an inactive document is selected in the document drop down brings the inactive document to the front but does not scroll to the page of navigation.
Comment 2 raal 2017-09-17 07:33:46 UTC
I cannot confirm with Version: 6.0.0.0.alpha0+
Build ID: b02b3bcf4465c9ccb3edcaa26e090db0581cba9e
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-08_06:54:43

double click on image in inactive document brings the inactive document to the front and select the image
Comment 3 Xisco Faulí 2017-09-17 10:02:27 UTC Comment hidden (obsolete)
Comment 4 Jim Raykowski 2017-09-17 17:41:40 UTC
raal, I confirm with you that it scrolls to objects. It also scrolls to images but not to headings, tables, text frames, bookmarks, sections, hyperlinks, comments, and drawing objects. References and indexes I did not test.

Steps to reproduce bug -
1. create or open two multi page document files containing at least one of the above mentioned non scrolling
2. open navigator in sidebar 
3. select the inactive document in navigator dropdown
4. double click on one of the non scrolling items that is not on the current page of the inactive document
5. inactive document is brought to front but page does not scroll to selected item
Comment 5 Jim Raykowski 2017-09-17 18:37:42 UTC
(Edit to my previous comment) 
I confirm with raal that Images scroll. Ole objects and Text Frames also scroll correctly.
Comment 6 Jim Raykowski 2017-09-18 00:28:07 UTC
I have a patch ready for this as soon as someone can confirm it.
Comment 7 Xisco Faulí 2017-09-18 08:55:31 UTC Comment hidden (obsolete)
Comment 8 Jim Raykowski 2017-09-30 07:36:53 UTC
Created attachment 136634 [details]
navigator test document 1
Comment 9 Jim Raykowski 2017-09-30 07:38:14 UTC
Created attachment 136635 [details]
navigator test document 2
Comment 10 Jim Raykowski 2017-09-30 08:23:28 UTC
Hi Xisco, Thank you for helping get the navigator promote demote bug fixed.
 
I have attached a couple test documents to see if someone can replicate this bug. 

Here are the steps -

1. open the navigator test documents
2. open the sidebar Navigator for each document
3. in the 'navigator test doc1.odt' window select 'navigator test doc2 (inactive)' in the document dropdown in the sidebar Navigator  
4. double click on 'Page 37 test doc2 Heading' under Headings
5. 'navigator test doc2.odt' window is brought to the front but does not scroll to page 37. [cursor is at the correct position but page is not. press right arrow key to move to page 37]

another test

1. select 'navigator test doc1 (inactive)' in the sidebar Navigator in the  'navigator test doc2.odt' window
2. double click on 'This is a comment' under Comment
3. 'navigator test doc1.odt' window is brought to the front but does not scroll to comment. [press right arrow key to scroll page to comment]
Comment 11 Dieter Praas 2017-09-30 10:55:56 UTC
Tried both tests as described in comment 10. Everything worked fine, so I can't confirm the bug.

Version: 6.0.0.0.alpha0+ (x64)
Build ID: 465092047d5fa6ec6dd369372e712d76554570ff
CPU threads: 4; OS: Windows 6.19; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-09-26_23:16:01
Locale: de-DE (de_DE); Calc: group
Comment 12 Jim Raykowski 2017-10-01 00:57:40 UTC
Dieter, thank you for testing. I also have found that I can not replicate using 5.4.1.2 windows build. 

It occurs for me with 

LibreOfficeDev build on Lubuntu 17.04
Version: 6.0.0.0.alpha0+
Build ID: 13df3777e4b6ff7537692b396be67a5fd2b9b001
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group

and

Ubuntu 16.04LTS 32bit system
Version: 5.4.1.2
Build ID: 1:5.4.1~rc2-0ubuntu 0.16.0.4.1~lo0
CPU threads:1; OS:Linux 4.4; UI render:default; VCL: gtk2;
Locale: en-US (en.US.UTF-8); Calc: group

Maybe it's a Ubuntu thing?
Comment 13 Dieter Praas 2017-10-01 08:47:41 UTC
I'm not working with Linux, so I can't test it. I changed Hardware to Linux (All).
Comment 14 Buovjaga 2017-11-02 14:47:30 UTC
(In reply to Jim Raykowski from comment #4)
> raal, I confirm with you that it scrolls to objects. It also scrolls to
> images but not to headings, tables, text frames, bookmarks, sections,
> hyperlinks, comments, and drawing objects. References and indexes I did not
> test.
> 
> Steps to reproduce bug -
> 1. create or open two multi page document files containing at least one of
> the above mentioned non scrolling
> 2. open navigator in sidebar 
> 3. select the inactive document in navigator dropdown
> 4. double click on one of the non scrolling items that is not on the current
> page of the inactive document
> 5. inactive document is brought to front but page does not scroll to
> selected item

I was able to repro by double-clicking the heading Page 9 test doc2 heading.

Bring on the patch! :)
I can also cherry-pick from gerrit, if you want me to test it before committing.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha1+
Build ID: fff7097f1ed8493de099d79aa0613ea6b309100a
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 2nd 2017
Comment 15 Jim Raykowski 2017-11-05 18:04:16 UTC
Here is the link to the patch

https://gerrit.libreoffice.org/#/c/44330/
Comment 16 Buovjaga 2017-11-05 19:35:00 UTC
(In reply to Jim Raykowski from comment #15)
> Here is the link to the patch
> 
> https://gerrit.libreoffice.org/#/c/44330/

Built LibreOffice with your patch and now it jumps to the heading!! Great job.
Comment 17 Commit Notification 2017-11-07 09:26:58 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33021ea5c6a5c7aebd4f11ec5e2b4502a3fbfd7f

tdf#112435 Scroll to navigated position

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2017-11-10 13:44:32 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a7523f5b4d2995900f38c1f24fa75db2995a50f7&h=libreoffice-5-4

tdf#112435 Scroll to navigated position

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.